#include <windows.h>
#include "pdfformfunc.h"

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}
void PDFFormFilling1()
{
	long id;
	int nRet = -1;
	char szOutPDF1[MAX_PATH];
	char szOutPDF2[MAX_PATH];
	char szPDFFile[MAX_PATH];
	GetModulePath(szPDFFile,"example-fw9.pdf");
	GetModulePath(szOutPDF1,"out1.pdf");
	GetModulePath(szOutPDF2,"out2.pdf");

	id = PDFForm_Alloc();
	nRet = PDFForm_SetTextField(id, "f1-1", "1 Test for Name");
	nRet = PDFForm_SetTextField(id, "f1-2", "1 Test for Business Name");
	nRet = PDFForm_SetTextField(id, "f1-3", "1 Test for f1-3");
	nRet = PDFForm_SetTextField(id, "f1-4", "1 Test for f1-4");
	nRet = PDFForm_SetTextField(id, "f1-5", "1 Test for f1-5");
	nRet = PDFForm_SetTextField(id, "f1-6", "1 Test for f1-6");
	nRet = PDFForm_SetCheckBox(id, "c1-4", "Off");
	nRet = PDFForm_SetCheckBox(id, "c1-5", "Off");
	nRet = PDFForm_SetCheckBox(id, "c1-1", "Yes");
	nRet = PDFForm_SetCheckBox(id, "c1-2", "Yes");
	nRet = PDFForm_Apply(id, szPDFFile, szOutPDF1, FALSE);
	nRet = PDFForm_ClearFields(id);
	nRet = PDFForm_SetTextField(id, "f1-1", "2 Test for Name");
	nRet = PDFForm_SetTextField(id, "f1-2", "2 Test for Business Name");
	nRet = PDFForm_SetTextField(id, "f1-3", "2 Test for f1-3");
	nRet = PDFForm_SetTextField(id, "f1-4", "2 Test for f1-4");
	nRet = PDFForm_SetTextField(id, "f1-5", "2 Test for f1-5");
	nRet = PDFForm_SetTextField(id, "f1-6", "2 Test for f1-6");
	nRet = PDFForm_SetCheckBox(id, "c1-4", "Off");
	nRet = PDFForm_SetCheckBox(id, "c1-5", "Off");
	nRet = PDFForm_SetCheckBox(id, "c1-1", "Yes");
	nRet = PDFForm_SetCheckBox(id, "c1-2", "Yes");
	nRet = PDFForm_Apply(id, szPDFFile, szOutPDF2, TRUE);
	nRet = PDFForm_Free(id);
}
void PDFFormFilling2()
{
	BOOL bRet = FALSE;
	char szInPDFFile[MAX_PATH];
	char szInFDFFile[MAX_PATH];
	char szOutPDFFile[MAX_PATH];
	char szOutFDFFile[MAX_PATH];
	char szFlattenPDFFile[MAX_PATH];
	char szEncryptPDFFile[MAX_PATH];
	char drive[_MAX_DRIVE];
	char dir[_MAX_DIR];
	char fname[_MAX_FNAME];
	char ext[_MAX_EXT];
	char szExePathName[MAX_PATH];
	GetModuleFileName(NULL,szExePathName,MAX_PATH);
	_splitpath(szExePathName, drive, dir, fname, ext);
	_makepath(szInPDFFile, drive, dir, "example-fw9", ".pdf");
	_makepath(szInFDFFile, drive, dir, "example-fw9", ".fdf");
	_makepath(szOutPDFFile, drive, dir, "out-filled", ".pdf");
	_makepath(szOutFDFFile, drive, dir, "out", ".fdf");
	_makepath(szFlattenPDFFile, drive, dir, "out-flatten", ".pdf");
	_makepath(szEncryptPDFFile, drive, dir, "out-encrypt", ".pdf");
	
	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXX");
	bRet = PDFForm_MergeFDFIntoPDF(szInPDFFile, szInFDFFile, szOutPDFFile);
	bRet = PDFForm_ExtractFDFFromPDF(szOutPDFFile, szOutFDFFile);
	bRet = PDFForm_FlattenPDF(szOutPDFFile,szFlattenPDFFile);
	bRet = PDFForm_EncryptPDF(szOutPDFFile, "123", "456", "Printing", 128, szEncryptPDFFile);
}
void main()
{
	//Test for PDF Form Filling
	PDFFormFilling1();
	PDFFormFilling2();
	return;
}